org.eclipse.wst.jsdt.chromium.util

## Interface AsyncFuture.Operation<RES>

Enclosing class:
  AsyncFuture<T>

    public static interface AsyncFuture.Operation<RES>

An operation that asynchronously results in a value of type RES.

### Method Summary

All Methods Instance Methods Abstract Methods
`RelayOk` `start(AsyncFuture.Callback<RES> callback, SyncCallback syncCallback)` Starts the operation.

### Method Detail

#### start

    RelayOk start(AsyncFuture.Callback<RES> callback,
                  SyncCallback syncCallback)

Starts the operation. The method can be blocking and perform the entire operation or its part. In this case the corresponding call to `AsyncFuture.initializeReference(java.util.concurrent.atomic.AtomicReference<org.eclipse.wst.jsdt.chromium.util.AsyncFuture<T>>, org.eclipse.wst.jsdt.chromium.util.AsyncFuture.Operation<T>)` or `AsyncFuture.reinitializeReference(java.util.concurrent.atomic.AtomicReference<org.eclipse.wst.jsdt.chromium.util.AsyncFuture<T>>, org.eclipse.wst.jsdt.chromium.util.AsyncFuture.Operation<T>)` will be blocking as well.